# Získání Bearer tokenu

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /ecs/ppl/myapi2/login/getAccessToken:
    post:
      summary: Získání Bearer tokenu
      deprecated: false
      description: ''
      tags:
        - Autentizace
      parameters:
        - name: Content-Type
          in: header
          description: ''
          required: true
          example: application/x-www-form-urlencoded
          schema:
            type: string
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                grant_type:
                  example: client_credentials
                  type: string
                client_id:
                  description: přiděleno individuálně
                  example: clientID
                  type: string
                client_secret:
                  description: přiděleno individuálně
                  example: clientSecret
                  type: string
                scope:
                  example: myapi2
                  type: string
              required:
                - grant_type
                - client_id
                - client_secret
                - scope
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                access_token: eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICJVTEI5...
                expires_in: 1800
                refresh_expires_in: 0
                token_type: Bearer
                not-before-policy: 0
                scope: myapi2
          headers: {}
          x-apidog-name: Success
      security: []
      x-apidog-folder: Autentizace
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/796227/apis/api-13560034-run
components:
  schemas: {}
  securitySchemes:
    oauth2:
      type: apikey
      description: Get access token from authentication server.
      name: Authorization
      in: header
    Bearer:
      type: jwt
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      scheme: bearer
      bearerFormat: JWT
servers: []
security: []

```
